Bug 181754 - nfsd hanging on RHEL3U6
nfsd hanging on RHEL3U6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 03:39 EST by Hansjoerg Maurer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hansjoerg Maurer 2006-02-16 03:39:31 EST
Description of problem:

nfsd hanging
We are running rhel3u6 with 2.4.21-37 on x86_64
Sometimes clients are unable to access a gpfs filesystem which is exported
via nfs anymore.
the nfs server processes hang and the machine has to be rebooted
It works fine before updateing to RHEL3U6 with kernel 2.4.21-27.0.4

[root@rmvbs03 Updates]# psgrep nfsd
root     22105  0.0  0.0     0    0 ?        DW   Feb01   8:48 [nfsd]
root     22106  0.3  0.0     0    0 ?        RW   Feb01  77:34 [nfsd]
root     22107  0.0  0.0     0    0 ?        RW   Feb01   9:51 [nfsd]
root     22108  0.0  0.0     0    0 ?        RW   Feb01  13:13 [nfsd]
root     22109  0.1  0.0     0    0 ?        RW   Feb01  34:48 [nfsd]
root     22110  0.0  0.0     0    0 ?        DW   Feb01  12:16 [nfsd]
root     22111  0.1  0.0     0    0 ?        RW   Feb01  39:33 [nfsd]
root     22112  0.0  0.0     0    0 ?        DW   Feb01  11:05 [nfsd]


Version-Release number of selected component (if applicable):


How reproducible:
unfortunatly we have no way to directly trigger the problem

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve Dickson 2006-03-18 22:11:41 EST
To find where the nfsd are hung, please post a system backtrace by doing
an "echo t > /proc/sysrq-trigger" which will dump the backtrace in
/var/log/messages
Comment 3 RHEL Product and Program Management 2007-10-19 14:47:18 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.